# $Revision: 1.94.2.3.2.4 $, $Date: 2006/12/20 09:37:14 $
#
# Conditional build:
%bcond_with	firebird	# build without firebird plugin
%bcond_without	freetds		# build without freetds plugin
%bcond_without	ldap		# build without ldap plugin
%bcond_without	mdb		# build without MDB plugin
%bcond_without	mysql		# build without MySQL plugin
%bcond_without	odbc		# build without unixODBC
%bcond_without	pgsql		# build without PostgreSQL plugin
%bcond_without	sqlite		# build without sqlite plugin
%bcond_without	xbase		# build without xbase plugin

%ifnarch %{ix86} %{x8664} sparc sparcv9 alpha ppc
%undefine	with_firebird
%endif
Summary:	GNU Data Access library
Summary(pl):	Biblioteka GNU Data Access
Name:		libgda
Version:	1.2.3
Release:	5
Epoch:		1
License:	LGPL v2/GPL v2
Group:		Applications/Databases
Source0:	http://ftp.gnome.org/pub/gnome/sources/libgda/1.2/%{name}-%{version}.tar.bz2
# Source0-md5:	eb9c31c3102d542de728f5f55674d511
Patch0:		%{name}-gcc34.patch
Patch1:		%{name}-mdb.patch
Patch2:		%{name}-freetds_api_fixes.patch
Patch3:		%{name}-sqlite.patch
%{?with_firebird:BuildRequires:	Firebird-devel}
BuildRequires:	autoconf >= 2.59
BuildRequires:	automake >= 1:1.8
BuildRequires:	bison
BuildRequires:	db-devel
BuildRequires:	flex
%{?with_freetds:BuildRequires:	freetds-devel >= 0.63}
BuildRequires:	glib2-devel >= 2.2.0
BuildRequires:	gnome-common >= 2.8.0
BuildRequires:	gtk-doc >= 1.0
BuildRequires:	intltool >= 0.30
BuildRequires:	libtool
BuildRequires:	libxml2-devel
BuildRequires:	libxslt-devel >= 1.0.9
%{?with_mdb:BuildRequires:	mdbtools-devel}
%{?with_mysql:BuildRequires:	mysql-devel}
%{?with_ldap:BuildRequires:	openldap-devel}
BuildRequires:	perl-base
BuildRequires:	popt-devel
%{?with_pgsql:BuildRequires:	postgresql-devel}
BuildRequires:	readline-devel >= 5.0
BuildRequires:	rpmbuild(macros) >= 1.213
BuildRequires:	scrollkeeper
%{?with_sqlite:BuildRequires:	sqlite3-devel}
%{?with_odbc:BuildRequires:	unixODBC-devel}
%{?with_xbase:BuildRequires:	xbase-devel >= 2.0.0}
Requires(post,postun):	scrollkeeper
Requires:	scrollkeeper
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
GNU Data Access is an attempt to provide uniform access to different
kinds of data sources (databases, information servers, mail spools,
etc). It is a complete architecture that provides all you need to
access your data.

libgda was part of the GNOME-DB project but has been separated from it
to allow non-GNOME applications to be developed based on it.

%description -l pl
GNU Data Access to prba zapewnienia jednolitego dostpu do rnych
rde danych (bazy danych, serwery informacji, katalogi z poczt
itp.). Jest kompletn architektur dostarczajc wszystko, czego
potrzebujesz do dostpu do danych.

libgda bya czci projektu GNOME-DB, ale zostaa wydzielona, aby
pozwoli na uywanie przez niegnomowe aplikacje.

%package devel
Summary:	GNU Data Access development
Summary(pl):	Dla programistw GNU Data Access
Group:		Development/Libraries
Requires:	%{name} = %{epoch}:%{version}-%{release}
Requires:	glib2-devel >= 2.2.0
Requires:	gtk-doc-common
Requires:	libxml2-devel
Requires:	libxslt-devel >= 1.0.9
Obsoletes:	libgda0-devel

%description devel
GNU Data Access is an attempt to provide uniform access to different
kinds of data sources (databases, information servers, mail spools,
etc). It is a complete architecture that provides all you need to
access your data. This subpackage contains development files.

%description devel -l pl
GNU Data Access to prba zapewnienia jednolitego dostpu do rnych
rde danych (bazy danych, serwery informacji, katalogi z poczt
itp.). Jest kompletn architektur dostarczajc wszystko, czego
potrzebujesz do dostpu do danych. Ten podpakiet zawiera pliki dla
programistw uywajcych libgda.

%package static
Summary:	GNU Data Access static libraries
Summary(pl):	Statyczne biblioteki GNU Data Access
Group:		Development/Libraries
Requires:	%{name}-devel = %{epoch}:%{version}-%{release}

%description static
GNU Data Access static libraries.

%description static -l pl
Statyczne biblioteki GNU Data Access.

%package -n gda-db
Summary:	GDA Berkeley DB provider
Summary(pl):	rdo danych Berkeley DB dla GDA
Group:		Applications/Databases
Requires:	%{name} = %{epoch}:%{version}-%{release}

%description -n gda-db
This package contains the GDA Berkeley DB provider.

%description -n gda-db -l pl
Pakiet dostaczajcy dane z Berkeley DB dla GDA.

%package -n gda-firebird
Summary:	GDA Firebird provider
Summary(pl):	rdo danych Firebird dla GDA
Group:		Applications/Databases
Requires:	%{name} = %{epoch}:%{version}-%{release}

%description -n gda-firebird
This package contains the GDA Firebird provider.

%description -n gda-firebird -l pl
Pakiet dostarczajcy dane z Firebird dla GDA.

%package -n gda-freetds
Summary:	GDA FreeTDS provider
Summary(pl):	rdo danych FreeTDS dla GDA
Group:		Applications/Databases
Requires:	%{name} = %{epoch}:%{version}-%{release}

%description -n gda-freetds
This package contains the GDA FreeTDS provider.

%description -n gda-freetds -l pl
Pakiet dostarczajcy dane z FreeTDS dla GDA.

%package -n gda-ldap
Summary:	GDA LDAP provider
Summary(pl):	rdo danych LDAP dla GDA
Group:		Applications/Databases
Requires:	%{name} = %{epoch}:%{version}-%{release}

%description -n gda-ldap
This package contains the GDA LDAP provider.

%description -n gda-ldap -l pl
Pakiet dostarczajcy dane z LDAP dla GDA

%package -n gda-mdb
Summary:	GDA MDB provider
Summary(pl):	rdo danych MDB
Group:		Applications/Databases
Requires:	%{name} = %{epoch}:%{version}-%{release}

%description -n gda-mdb
This package contains the GDA MDB provider.

%description -n gda-mdb -l pl
Pakiet dostarczajcy dane z MDB dla GDA.

%package -n gda-mysql
Summary:	GDA MySQL provider
Summary(pl):	rdo danych MySQL dla GDA
Group:		Applications/Databases
Requires:	%{name} = %{epoch}:%{version}-%{release}
Obsoletes:	libgda-mysql0

%description -n gda-mysql
This package contains the GDA MySQL provider.

%description -n gda-mysql -l pl
Pakiet dostarczajcy dane z MySQL dla GDA.

%package -n gda-odbc
Summary:	GDA ODBC provider
Summary(pl):	rdo danych ODBC dla GDA
Group:		Applications/Databases
Requires:	%{name} = %{epoch}:%{version}-%{release}

%description -n gda-odbc
This package contains the GDA ODBC provider.

%description -n gda-odbc -l pl
Pakiet dostarczajcy dane z ODBC dla GDA.

%package -n gda-postgres
Summary:	GDA PostgreSQL provider
Summary(pl):	rdo danych PostgreSQL dla GDA
Group:		Applications/Databases
Requires:	%{name} = %{epoch}:%{version}-%{release}
Obsoletes:	libgda-postgres0

%description -n gda-postgres
This package contains the GDA PostgreSQL provider.

%description -n gda-postgres -l pl
Pakiet dostarczajcy dane z PostgreSQL dla GDA.

%package -n gda-sqlite
Summary:	GDA SQLite provider
Summary(pl):	rdo danych SQLite dla GDA
Group:		Applications/Databases
Requires:	%{name} = %{epoch}:%{version}-%{release}

%description -n gda-sqlite
This package contains the GDA SQLite provider.

%description -n gda-sqlite -l pl
Pakiet dostarczajcy dane z SQLite dla GDA.

%package -n gda-xbase
Summary:	GDA xBase provider
Summary(pl):	rdo danych xBase dla GDA
Group:		Applications/Databases
Requires:	%{name} = %{epoch}:%{version}-%{release}

%description -n gda-xbase
This package contains the GDA xBase (dBase, Clipper, FoxPro) provider.

%description -n gda-xbase -l pl
Pakiet dostarczajcy dane z xBase (dBase, Clippera, FoxPro) dla GDA.

%prep
%setup -q
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1

%build
CXXFLAGS="%{rpmcxxflags} -fno-rtti -fno-exceptions"
%{__intltoolize}
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__automake}
%configure \
	--enable-gtk-doc \
	--with-html-dir=%{_gtkdocdir} \
	--with%{!?with_firebird:out}-firebird \
	--with%{!?with_ldap:out}-ldap \
	--with%{!?with_mdb:out}-mdb \
	--with%{!?with_mysql:out}-mysql \
	--with%{!?with_odbc:out}-odbc \
	--with%{!?with_pgsql:out}-postgres \
	--with%{!?with_sqlite:out}-sqlite \
	--with%{!?with_freetds:out}-tds \
	--with%{!?with_xbase:out}-xbase \
	--without-oracle
%{__make} -j1

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT \
	HTML_DIR=%{_gtkdocdir} 

# modules dlopened by *.so through libgmodule
rm -f $RPM_BUILD_ROOT%{_libdir}/libgda/providers/*.{a,la}

rm -r $RPM_BUILD_ROOT%{_datadir}/locale/no

%find_lang %{name} --with-gnome --all-name

%clean
rm -rf $RPM_BUILD_ROOT

%post
/sbin/ldconfig
%scrollkeeper_update_post

%postun
/sbin/ldconfig
%scrollkeeper_update_postun

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog NEWS README
%attr(755,root,root) %{_bindir}/gda-config-tool
%attr(755,root,root) %{_libdir}/libgda-2.so.*.*
%attr(755,root,root) %{_libdir}/libgda-report-2.so.*.*
%attr(755,root,root) %{_libdir}/libgdasql.so.*.*
%dir %{_libdir}/libgda
%dir %{_libdir}/libgda/providers
%attr(755,root,root) %{_libdir}/libgda/providers/libgda-xml.so
%{_datadir}/libgda
%{_omf_dest_dir}/%{name}
%dir %{_sysconfdir}/libgda
%config(noreplace) %verify(not size mtime md5) %{_sysconfdir}/libgda/config
%{_mandir}/man1/gda-config-tool.1*
%{_mandir}/man5/*

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/gda-report-test
%attr(755,root,root) %{_bindir}/gda-run
%attr(755,root,root) %{_bindir}/gda-test
%attr(755,root,root) %{_libdir}/libgda-2.so
%attr(755,root,root) %{_libdir}/libgda-report-2.so
%attr(755,root,root) %{_libdir}/libgdasql.so
%{_libdir}/libgda-2.la
%{_libdir}/libgda-report-2.la
%{_libdir}/libgdasql.la
%{_includedir}/libgda-1.2
%{_pkgconfigdir}/*
%{_gtkdocdir}/*

%files static
%defattr(644,root,root,755)
%{_libdir}/lib*.a

%files -n gda-db
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libgda/providers/libgda-bdb.so

%if %{with firebird}
%files -n gda-firebird
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libgda/providers/libgda-firebird.so
%endif

%if %{with freetds}
%files -n gda-freetds
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libgda/providers/libgda-freetds.so
%endif

%if %{with ldap}
%files -n gda-ldap
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libgda/providers/libgda-ldap.so
%endif

%if %{with mdb}
%files -n gda-mdb
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libgda/providers/libgda-mdb.so
%endif

%if %{with mysql}
%files -n gda-mysql
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libgda/providers/libgda-mysql.so
%endif

%if %{with odbc}
%files -n gda-odbc
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libgda/providers/libgda-odbc.so
%endif

%if %{with pgsql}
%files -n gda-postgres
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libgda/providers/libgda-postgres.so
%endif

%if %{with sqlite}
%files -n gda-sqlite
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libgda/providers/libgda-sqlite.so
%endif

%if %{with xbase}
%files -n gda-xbase
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libgda/providers/libgda-xbase.so
%endif

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: libgda.spec,v $
Revision 1.94.2.3.2.4  2006/12/20 09:37:14  hawk
- release 5 to rebuild with PostgreSQL 8.2

Revision 1.94.2.3.2.3  2006/12/04 22:27:54  hawk
- replaced freetds063 patch with freetds_api_fixes patch taken from gentoo
- fixed ksh build problems caused by automake 2.60
- release 4

Revision 1.94.2.3.2.2  2006/12/04 12:27:42  hawk
- release 3

Revision 1.94.2.3.2.1  2006/08/09 22:27:14  havner
- missing epoch
- rel 2

Revision 1.94.2.3  2006/07/27 21:37:48  freetz
- md5

Revision 1.94.2.2  2006/07/27 21:33:11  freetz
- 1.2.3, added freetds063 and sqlite patches from ubuntu, dropped
  obsoleted patches

Revision 1.94.2.1  2006/03/16 18:02:29  freetz
- restored from last auto-ac branch, epoch added

Revision 1.94  2005/09/17 10:22:58  arekm
- rebuild with readline 5.0

Revision 1.93  2005/09/06 15:51:16  glen
- rel 2, STBR

Revision 1.92  2005/09/06 15:42:47  glen
- Require also scrollkeeper as the R(postun) isn't sufficent
- fails parallel make, force 1 job

Revision 1.91  2005/06/14 20:01:33  freetz
- 1.2.2

Revision 1.90  2005/05/11 15:27:01  qboosh
- use x8664 macro

Revision 1.89  2005/05/03 00:37:12  mmazur
- Firebird's code looks like crap and gcc4 doesn't like it; disabling firebird
  support

Revision 1.88  2005/04/29 18:04:29  qrczak
- libgda-gcc4.patch: removed obsolete C extension
- Release 6

Revision 1.87  2005/04/29 09:11:58  hawk
- %{__intltoolize} requires macros >= 1.197, added BR

Revision 1.86  2005/04/28 10:19:30  hawk
- release 5

Revision 1.85  2005/04/27 14:48:19  hawk
- release 4

Revision 1.84  2005/04/27 11:30:52  hawk
- release 3 to rebuild with new freetds

Revision 1.83  2005/04/25 20:54:30  freetz
- added db4.3 compile fix, removed redundand BR: gettext-devel,
  run %inltoolize, rel.2

Revision 1.82  2005/03/15 18:52:51  paladine
- proper license

Revision 1.81  2005/03/15 18:25:24  paladine
- fixed Source0 URL
- spaces->tabs

Revision 1.80  2005/03/11 20:43:17  qboosh
- more friendly Source0 URL

Revision 1.79  2005/03/11 20:39:35  qboosh
- automake epoch

Revision 1.78  2005/03/11 14:45:31  grzegol
- merged from DEVEL and updated to 1.2.1

Revision 1.77  2005/02/12 22:46:25  arekm
- rel ++

Revision 1.76  2005/01/04 21:58:58  adgor
- Removed a deprecated macro
- Passing rpmcxxflags instead of rpmcflags

Revision 1.75  2004/10/25 10:58:19  qboosh
- there is Firebird-devel on alpha now

Revision 1.74  2004/09/15 18:28:34  grzegol
- in gnome-common-2.8.0 all macros are in %{_aclocaldir}, not in
  %{_aclocaldir}/gnome2-macros, so remove -I %{_aclocaldir}/gnome2-macros
  from %{__aclocal} args and BR: gnome-common >= 2.8.0

Revision 1.73  2004/09/11 17:46:08  wolf
- correct group
- rel 3

Revision 1.72  2004/09/01 11:49:23  snurf
- typos / formatting / etc.

Revision 1.71  2004/08/18 22:00:41  qboosh
- added amd64 to archs with Firebird support

Revision 1.70  2004/07/22 11:09:28  qboosh
- added locale-names patch, change no->nb; cosmetics, release 2

Revision 1.69  2004/05/30 13:52:08  qboosh
- updated Firebird archs

Revision 1.68  2004/05/01 21:57:07  adgor
- Added gcc34.patch

Revision 1.67  2004/04/19 08:22:14  aflinta
- up to version 1.0.4

Revision 1.66  2004/04/14 13:21:57  qboosh
- added xbase patch, build xbase provider; release 3

Revision 1.65  2004/04/14 11:53:20  qboosh
- added docbook fixes

Revision 1.64  2004/04/10 21:43:39  grzegol
- rel. 2 to rebuild with new openldap
- strict internal deps

Revision 1.63  2004/03/24 15:31:31  arekm
- new freetds support >= 0.61.1

Revision 1.62  2004/01/17 17:01:20  freetz
- 1.0.3
- noc99 patch already in sources

Revision 1.61  2003/12/05 11:43:57  qboosh
- moved base docs and gda-config-tool to base
- marked config as config
- release 2

Revision 1.60  2003/12/04 10:36:27  qboosh
- libtoolize
- added noc99 patch to allow using old gcc

Revision 1.59  2003/12/03 16:09:43  qboosh
- fixed copy-pasto and bcond on !x86

Revision 1.58  2003/12/02 12:25:14  trojan
- added MDB support
- new bconds

Revision 1.57  2003/12/01 12:02:32  trojan
- updated to 1.0.2

Revision 1.56.2.16  2005/02/04 16:47:42  grzegol
- updated to 1.2.0
- added freetds_buildfix patch

Revision 1.56.2.15  2004/10/11 21:18:29  aflinta
- up to version 1.1.99

Revision 1.56.2.14  2004/09/15 18:24:38  grzegol
- in gnome-common-2.8.0 all macros are in %{_aclocaldir}, not in
  %{_aclocaldir}/gnome2-macros, so remove -I %{_aclocal}/gnome2-macros from
  %{__aclocal} args and BR: gnome-common >= 2.8.0

Revision 1.56.2.13  2004/09/12 10:45:43  grzegol
- correct group (merged from HEAD)

Revision 1.56.2.12  2004/08/28 19:00:10  grzegol
- updated to 1.1.6

Revision 1.56.2.11  2004/08/23 17:20:12  grzegol
- more archs with Firebird support

Revision 1.56.2.10  2004/07/22 20:06:12  grzegol
- updated to 1.1.5
- added gcc34 patch (fix building with gcc-3.4)

Revision 1.56.2.9  2004/06/09 13:18:13  grzegol
- updated to 1.1.4
- readded mysql plugin

Revision 1.56.2.8  2004/06/01 12:19:16  grzegol
- updated to 1.1.3

Revision 1.56.2.7  2004/04/27 19:33:43  grzegol
- regenerate libtool

Revision 1.56.2.6  2004/04/27 07:56:34  trojan
- updated to 1.1.2
- removed obsolete freetds patch

Revision 1.56.2.5  2004/04/03 22:44:17  grzegol
- removed outdated comment

Revision 1.56.2.4  2004/04/03 22:36:57  grzegol
- updated to 1.1.1
- new style bconds
- added gda-db subpackage
- temporary disabled gda-mysql subpackage (it's disabled in sources)

Revision 1.56.2.3  2004/02/23 10:25:16  grzegol
- s/BR: byacc/BR: bison/

Revision 1.56.2.2  2004/02/23 10:13:48  grzegol
- added locale-names patch (changes locale no -> nb)
- added freetds patch (fixes building with freetds-0.62.1
- updated BRs and Rs
- temporary disabled gtk-doc building - it doesn't build
- rel. 2 to rebuild with freetds-0.62.1

Revision 1.56.2.1  2003/11/25 19:43:05  grzegol
- updated to 1.1.0

Revision 1.56  2003/11/25 19:34:27  grzegol
- reverted last change (version 1.1.0 will go to -rDEVEL)

Revision 1.54  2003/10/12 20:37:43  grzegol
- updated to 1.0.1
- manualy generate gda-marshal.c file - probably accidentally not included in
  sources

Revision 1.53  2003/10/07 11:31:47  qboosh
- -devel deps, removed useless *.la for plugins

Revision 1.52  2003/10/07 07:51:34  cieciwa
- added BR: gnome-common required for aclocal/gnome2-macros/

Revision 1.51  2003/09/15 05:31:22  aflinta
- version 1.0.0

Revision 1.50  2003/09/11 05:12:01  aflinta
- version 0.99.0

Revision 1.49  2003/08/06 14:36:20  grzegol
- updated to 0.91.0
- added configure patch (fixes configure.in)
- regenerate ac/am
- s/libgda-default.so/libgda-xml.so/

Revision 1.48  2003/07/10 09:32:24  trojan
- reenabled gtkdoc building

Revision 1.47  2003/07/04 08:53:40  trojan
- updated to 0.90.0
- disabled gtk doc buildinf (it fails for me)

Revision 1.46  2003/06/18 07:29:40  qboosh
- Firebird is x86-only (not ported to other archs yet)

Revision 1.45  2003/06/17 21:23:06  adgor
- Added firebird subpkg
- Putting pkgs in alphabetical order
- Release 2

Revision 1.44  2003/06/09 06:42:58  trojan
- updated to 0.12.1

Revision 1.43  2003/06/02 11:58:43  trojan
- updated to 0.12.0

Revision 1.42  2003/05/25 11:00:53  malekith
- massive attack, adding Source-md5

Revision 1.41  2003/05/25 05:49:49  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.40  2003/05/17 09:27:22  trojan
- moved locales from devel to main package

Revision 1.39  2003/05/08 13:31:23  qboosh
- providers dir and default provider moved from -devel to base

Revision 1.38  2003/05/08 10:58:27  trojan
- added bconds for disable building some plugins

Revision 1.37  2003/03/11 11:07:23  trojan
- freetds plugin is back

Revision 1.36  2003/03/11 09:54:40  trojan
- updated to 0.11.0
- comented out freetds plugin building

Revision 1.35  2003/03/02 20:47:29  radek
- updated Source0 URL

Revision 1.34  2003/02/26 17:18:08  malekith
- enforce no oracle

Revision 1.33  2003/02/04 12:25:59  trojan
- updated to 0.10.0
- added gda-ldap package
- fixed %files

Revision 1.32  2002/12/13 09:44:52  wrobell
- ver. 0.9.0

Revision 1.31  2002/11/25 14:16:52  ankry
- massive attack: no need for 755 for *.la

Revision 1.30  2002/10/09 13:14:37  kloczek
- use more macros, some cosmetics, added missing "rm -f missing" and use new %doc

Revision 1.29  2002/10/02 12:50:40  krzak
- omf.patch
- release 5

Revision 1.28  2002/06/30 14:06:39  kloczek
- release 4: use new %doc.

Revision 1.27  2002/06/23 20:52:52  kloczek
- perl -pi -e "s/^gettextize --copy --force/\%\{__gettextize\}/"

Revision 1.26  2002/06/23 20:32:30  kloczek
- perl -pi -e "s/^libtoolize --copy --force/\%\{__libtoolize\}/"

Revision 1.25  2002/05/21 23:13:45  kloczek
- perl -pi -e "s/^automake -a -c -f --foreing/\%\{__automake\}/; \
             s/^automake -a -c -f/\%\{__automake\}/; \
     s/^autoconf/\%\{__autoconf\}/"

Revision 1.24  2002/05/17 14:26:14  kloczek
- release 3: fixed omf files install path.

Revision 1.23  2002/05/16 06:51:23  misiek
- move omf files one level deeper

Revision 1.22  2002/05/16 06:38:09  misiek
- moved idl files to main package, move omf files to proper place and register them via scrollkeeper; rel 2

Revision 1.21  2002/03/23 05:11:30  kloczek
- updated to 0.2.96 (bugfixes).

Revision 1.20  2002/02/22 23:29:11  kloczek
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

Revision 1.19  2002/02/07 02:16:41  kloczek
- added some Obsoletes for allow upgrade from MDK and adapterize spec file.

Revision 1.18  2002/02/06 23:13:35  filon
- improved c++ patch, now builds with gcc3
- release 2

Revision 1.17  2002/01/26 02:29:00  kloczek
- updated to 0.2.95 (bugfix release).

Revision 1.16  2002/01/18 02:13:38  kloczek
- perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.15  2002/01/17 23:09:48  kloczek
- updated to 0.2.94 (bugfix release).

Revision 1.14  2002/01/12 20:23:09  qrczak
- libgda-c++.patch: add some std:: qualifications required on gcc3.
- Release 2.

Revision 1.13  2002/01/10 14:33:13  kloczek
- !sort BuildRequires rules and remove duplicates.

Revision 1.12  2002/01/10 11:28:54  misiek
- gtk-doc is so broken (--disable-gtk-doc)

Revision 1.11  2002/01/10 11:03:01  misiek
- DESTDIR and openldap fixes

Revision 1.10  2002/01/10 01:18:16  misiek
- update to 0.2.93 (nfy)

Revision 1.9  2001/10/08 20:10:41  qboosh
- BuildRequires: libtool
- added pl translations

Revision 1.8  2001/10/07 20:08:25  blues
- aclocal call added (ready for new am)
- GNU_GETTEXT patch

Revision 1.7  2001/10/03 16:41:59  filon
- changed req for main subpkg in static subpkg to devel
- release 2

Revision 1.6  2001/09/19 13:18:17  ankry
- modified source URL as ftp.gnome.org changed path (%#$%*&)

Revision 1.5  2001/05/02 16:29:07  qboosh
- adapterized and made spec %debug ready or added using %rpm*flags macros

Revision 1.4  2001/01/25 20:03:24  misiek
- Massive attack. We use -O0 instead -O flags while debug enabled.

Revision 1.3  2000/10/23 01:01:50  kloczek
- added libstdc++-devel to BuildRequires list.

Revision 1.2  2000/10/23 01:00:59  kloczek
- cmpletly rewrited spec file in PLD style,
- added ldap backend,
- fixed linking mysql backend against shared mysqlclient library
  (shared_libmysqlclient patch),
- separate C++ client library,
- added static subpackage.
